Bug 74455 - cannot remove screensavers
cannot remove screensavers
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-24 13:08 EDT by Konstantin Olchanski
Modified: 2014-03-16 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-24 15:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konstantin Olchanski 2002-09-24 13:08:33 EDT
We run cpu-intensive production jobs on our RedHat Linux 7.3
workstations and have a problem with fancy screensavers
consuming too much CPU, slowing down the
production jobs.

I was able to remove the KDE screensavers
(rpm --erase kdeartwork-screensavers-3.0.0-4), but cannot
remove the xscreensaver ones:

[root@sam root]# rpm --erase xscreensaver
error: removing these packages would break dependencies:
        xscreensaver is needed by control-center-1.4.0.1-31

Maybe this package should be split into an unremovable base
(with the benign "blank screen" screen saver) and removable
"fancy" screensavers?

K.Olchanski
Comment 1 Miloslav Trmac 2002-09-24 13:42:14 EDT
I believe you can switch of specific screensavers: run xscreensaver-demo
and uncheck all the boxes near the screensaver list (or do the equivalent
modifications to .xscreensaver, if you know the format)
Comment 2 Konstantin Olchanski 2002-09-24 15:51:31 EDT
a simpler workaround is to defeat rpm:
rm -f /usr/X11R6/lib/xscreensaver/*
Comment 3 Bill Nottingham 2002-11-11 15:48:34 EST
The most supported way to do this would be to configure the screensaver to blank
the screen only.

Note You need to log in before you can comment on or make changes to this bug.